#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

main()
{
  char str[10], *res; int x;
  FILE *fd=fopen("./pipe","r");

  while(1) {
    res=fgets(str,10,fd);
    if(res!=NULL) {
      x=atoi(str); printf("x: %d.\n", x);
      system("ps -e -o pid,ppid,comm | grep uppgift1");
    }
    sleep(1);
  }

}
